# Create or update a sales type override for a product **PUT /products/{id}/salestypeOverrides/{salesTypeId}** ## Servers - https://rest.api.24sevenoffice.com/v1: https://rest.api.24sevenoffice.com/v1 () ## Authentication methods - Tfso ## Parameters ### Headers - **Authorization** (string) Authorization header ### Path parameters - **id** (integer) The ID of the product for which to create or update a sales type override - **salesTypeId** (integer) The ID of the sales type for which to create or update a sales type override ### Body: application/json (object) - **accountNumber** (integer | null) The account number that should be used instead of the default account number for the sales type (set to null to remove the override) ## Responses ### 200 Sales type override created or updated successfully #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) #### Body: application/json (object) - **productId** (integer) The id of the product for which the override applies (see GET /products/{id}) - **salesTypeId** (integer) The id of the sales type for which the override applies (see GET /salestypes/{id}) - **accountNumber** (integer) The account number that should be used instead of the default account number for the sales type ### 204 Sales type override deleted successfully (or override did not exist) #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) [Powered by Bump.sh](https://bump.sh)